Advertisement
Guest User

Untitled

a guest
Dec 1st, 2021
100
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. [mclife@t440p forge]$ ./run.sh
  2. 2021-12-01 12:49:49,964 main ERROR Error processing element Queue ([Appenders: null]): CLASS_NOT_FOUND
  3. 2021-12-01 12:49:50,192 main ERROR Unable to locate appender "ServerGuiConsole" for logger config "root"
  4. [12:49:50] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher running: args [--launchTarget, forgeserver, --fml.forgeVersion, 38.0.1, --fml.mcVersion, 1.18, --fml.forgeGroup, net.minecraftforge, --fml.mcpVersion, 20211130.085255, nogui]
  5. Forge[12:49:50] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher 9.0.7+91+master.8569cdf starting: java version 16.0.2 by Eclipse Foundation
  6. ForgeException in thread "main" java.util.ServiceConfigurationError: cpw.mods.modlauncher.api.ILaunchHandlerService: Unable to load net.minecraftforge.fml.loading.targets.FMLClientLaunchHandler
  7. at java.base/java.util.ServiceLoader.fail(ServiceLoader.java:582)
  8. at java.base/java.util.ServiceLoader.loadProvider(ServiceLoader.java:854)
  9. at java.base/java.util.ServiceLoader$LayerLookupIterator.hasNext(ServiceLoader.java:951)
  10. at java.base/java.util.ServiceLoader$ProviderSpliterator.tryAdvance(ServiceLoader.java:1481)
  11. at java.base/java.util.Spliterator.forEachRemaining(Spliterator.java:326)
  12. at java.base/java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:484)
  13. at java.base/java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:474)
  14. at java.base/java.util.stream.ReduceOps$ReduceOp.evaluateSequential(ReduceOps.java:913)
  15. at java.base/java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234)
  16. at java.base/java.util.stream.ReferencePipeline.collect(ReferencePipeline.java:682)
  17. at MC-BOOTSTRAP/cpw.mods.modlauncher@9.0.7/cpw.mods.modlauncher.LaunchServiceHandler.<init>(LaunchServiceHandler.java:40)
  18. at MC-BOOTSTRAP/cpw.mods.modlauncher@9.0.7/cpw.mods.modlauncher.Launcher.<init>(Launcher.java:53)
  19. at MC-BOOTSTRAP/cpw.mods.modlauncher@9.0.7/cpw.mods.modlauncher.Launcher.main(Launcher.java:77)
  20. at MC-BOOTSTRAP/cpw.mods.modlauncher@9.0.7/cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:26)
  21. at MC-BOOTSTRAP/cpw.mods.modlauncher@9.0.7/cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:23)
  22. at cpw.mods.bootstraplauncher@0.1.17/cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:90)
  23. Caused by: java.lang.UnsupportedClassVersionError: net/minecraftforge/fml/loading/targets/FMLClientLaunchHandler has been compiled by a more recent version of the Java Runtime (class file version 61.0), this version of the Java Runtime only recognizes class file versions up to 60.0
  24. at java.base/java.lang.ClassLoader.defineClass1(Native Method)
  25. at java.base/java.lang.ClassLoader.defineClass(ClassLoader.java:1010)
  26. at cpw.mods.securejarhandler@0.9.54/cpw.mods.cl.ModuleClassLoader.readerToClass(ModuleClassLoader.java:116)
  27. at cpw.mods.securejarhandler@0.9.54/cpw.mods.cl.ModuleClassLoader.lambda$findClass$16(ModuleClassLoader.java:213)
  28. at cpw.mods.securejarhandler@0.9.54/cpw.mods.cl.ModuleClassLoader.loadFromModule(ModuleClassLoader.java:223)
  29. at cpw.mods.securejarhandler@0.9.54/cpw.mods.cl.ModuleClassLoader.findClass(ModuleClassLoader.java:213)
  30. at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:631)
  31. at java.base/java.lang.Class.forName(Class.java:543)
  32. at java.base/java.util.ServiceLoader.loadProvider(ServiceLoader.java:852)
  33. ... 14 more
  34. [mclife@t440p forge]$ java --version
  35. openjdk 16.0.2 2021-07-20
  36. OpenJDK Runtime Environment Temurin-16.0.2+7 (build 16.0.2+7)
  37. OpenJDK 64-Bit Server VM Temurin-16.0.2+7 (build 16.0.2+7, mixed mode, sharing)
  38.  
  39. ==========================================================
  40. debug.log
  41.  
  42. [01Dec2021 12:49:50.266] [main/INFO] [cpw.mods.modlauncher.Launcher/MODLAUNCHER]: ModLauncher running: args [--launchTarget, forgeserver, --fml.forgeVersion, 38.0.1, --fml.mcVersion, 1.18, --fml.forgeGroup, net.minecraftforge, --fml.mcpVersion, 20211130.085255, nogui]
  43. [01Dec2021 12:49:50.270] [main/INFO] [cpw.mods.modlauncher.Launcher/MODLAUNCHER]: ModLauncher 9.0.7+91+master.8569cdf starting: java version 16.0.2 by Eclipse Foundation
  44.  
Advertisement
Advertisement
Advertisement
RAW Paste Data Copied
Advertisement